$(function () {
	$.get("/info",function (data) {
		data = $.parseJSON(data);
		$("#url").html(data.url);
		$("#invoice").html(data.invoice);
	});
	$("#tabs a").click(function (event) {
		$(this).tab("show");
	});
	$(document).on("show.bs.tab",function(event){
		$(event.target.dataset.target).trigger("show.linutop");
	});
	$(document).on("shown.bs.tab",function (event) {
		$(event.target.dataset.target).trigger("shown.linutop");
	});
	$("#channels").on("show.linutop",function () {
		$(this).find("li").remove();
		$.get("/remote/channels",function(data){
			data = $.parseJSON(data);
			var screens = Array.isArray(data['screens'])?data['screens']:data;
			$.each(screens,function(sc){
				var token = screens[sc].token?screens[sc].token:"public";
				$("<li class='list-group-item btn'></li>")
				.html(screens[sc].label)
                    .click(function(){
                    	$.post("/remote/start",{screen: screens[sc].login+"-"+screens[sc].screen+"/"+token});
                    })
                    .appendTo("#channels .list-group");
                });
		});
	});
	$("#remote").on("show.linutop", function(){
		$.get("/remote/playlist", function (data) {
			data = $.parseJSON(data);
			$("#remote li").remove();
			$.each($("#"+data.loopid,data.xml).find("item"),function (index, item) {
				$("<li class='list-group-item btn'></li>")
				.html(item.attributes['name'].value).appendTo("#remote .list-group")
				.click(function () {
					$.post("/remote/goto",{index: index});
				});
			});
		});
	});
	$("#text").on("show.linutop",function () {
		$.post("/remote/screenShot");
		$(".glyphicon-time").removeClass("hidden");
		$(this).find("img").addClass("hidden");	
	}).on("shown.linutop",function () {
		$(this).find("img").attr("src","/res/screen");
	}).find("img").on("load", function () {
		$(this).removeClass("hidden");
		$(".glyphicon-time").addClass("hidden");
	});
	$("#text").find("button").click(function (event) {
		console.log($(this).parent().serialize());
		$.post("/remote/text",$(this).parent().serialize());
		$("#screen").attr("src","");
		$(".glyphicon-time").removeClass("hidden");
		$(this).find("img").addClass("hidden");	
		$.post("/remote/screenShot");
		$("#screen").attr("src","/res/screen");
	});
	if(!window.location.hash){
		window.location.hash = "#channels";
	}
	$("#tabs a").each(function(index, item){
		if(item.dataset.target == window.location.hash){
			$(item).click();
		}
	});
	$("#menu").on("shown.bs.collapse",function () {
		$(".navbar-toggle span").removeClass("glyphicon-chevron-down").addClass("glyphicon-chevron-up");
	}).on("hidden.bs.collapse",function () {
		$(".navbar-toggle span").removeClass("glyphicon-chevron-up").addClass("glyphicon-chevron-down");
	});
});